Package com.independentsoft.office.word

# Class ProofingError

java.lang.Object
com.independentsoft.office.word.ProofingError

All Implemented Interfaces:
  `IContentElement`, `IBlockContent`, `IBlockElement`, `IContentRunContent`, `IParagraphContent`, `IRunLevelElement`, `IRunTrackChangeContent`, `IMathElement`, `ICellContent`, `IRowContent`

public class ProofingError extends Object implements IRunLevelElement
The Class ProofingError.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProofingError()`
  Instantiates a new proofing error.
  `ProofingError​(InternalXMLStreamReader reader)`
  Instantiates a new proofing error.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProofingError`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `ProofingErrorType`
  `getType()`
  Gets the type.
  `void`
  `setType​(ProofingErrorType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProofingError

    public ProofingError()
    Instantiates a new proofing error.

  - ### ProofingError

    public ProofingError​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new proofing error.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public ProofingError clone()
    Specified by:
      `clone` in interface `IBlockContent`
    Specified by:
      `clone` in interface `IBlockElement`
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IContentRunContent`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `IRowContent`
    Specified by:
      `clone` in interface `IRunLevelElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getType

    public ProofingErrorType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(ProofingErrorType type)
    Sets the type.
    Parameters:
      `type` - the new type